<?php

/**
* PHP versions 4 and 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license.  If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @category   Forum
* @package    QuickTalk
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2008-2012 The PHP Group
* @version    2.1 build:20090819
* @since      File available since Release 1.0.0
* @deprecated File deprecated in Release 3.0.0
*/

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_adm.php'));
include(Translate('qtfm_antispam.php'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$oVIP->selfurl = 'qtfm_antispam_admip.php';
$oVIP->selfname = $L['antispam']['Admin'];
$oVIP->exiturl = 'qtfm_antispam_adm.php';
$oVIP->exitname = '&laquo; '.$oVIP->selfname;
$strPageversion = $L['antispam']['Version'].' 2.1<br/>';

// --------
// SUBMITTED
// --------

if ( isset($_POST['add_ok']) )
{
  $str = trim($_POST['newip']);
  if ( !ereg("^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\..+$",$str) ) $error = "Invalid IP";

  if ( empty($error) )
  {
    if ( file_exists('avatar/qtfm_ip.php') ) include('avatar/qtfm_ip.php');
    // read ip
    $arrStr = explode(' ',$str,2);
    if ( count($arrStr)==1 ) { $arrIp[$arrStr[0]]=' '; } else { $arrIp[$arrStr[0]]=$arrStr[1]; }
    // save new list
    $intHandle = fopen('avatar/qtfm_ip.php','w');
    fwrite($intHandle,"<?php\n\$arrIp=array();\n");
    foreach($arrIp as $strKey=>$strValue)
    {
    fwrite($intHandle,"\$arrIp['$strKey']='$strValue';\n");
    }
    fwrite($intHandle,"\n?>");
    fclose($intHandle);
  }
}

if ( isset($_POST['rem_ok']) )
{
  if ( !empty($_POST['ip']) )
  {
    // rem ip
    if ( file_exists('avatar/qtfm_ip.php') ) include('avatar/qtfm_ip.php');    
    if ( array_key_exists($_POST['ip'],$arrIp) )
    {
    unset($arrIp[$_POST['ip']]);
    }
    // save new list
    $intHandle = fopen('avatar/qtfm_ip.php','w');
    fwrite($intHandle,"<?php\n\$arrIp=array();\n");
    foreach($arrIp as $strKey=>$strValue)
    {
    fwrite($intHandle,"\$arrIp['$strKey']='$strValue';\n");
    }
    fwrite($intHandle,"\n?>");
    fclose($intHandle);
  }
}

if ( isset($_POST['all_ok']) )
  {
    $intHandle = fopen('avatar/qtfm_ip.php','w');
    fwrite($intHandle,"<?php\n\$arrIp=array();\n?>");
    fclose($intHandle);
  }

// --------
// HTML START
// --------

if ( file_exists('avatar/qtfm_ip.php') ) include('avatar/qtfm_ip.php');

include('qtf_adm_p_header.php');
include('qtf_adm_p_title.php');

echo '<form method="post" action="',$oVIP->selfurl,'">
<table class="data_o" cellspacing="0">
<tr class="tr_cnt">
<td class="th_o th_o_all" colspan="2">',$L['antispam']['Reject_ip'],'</td>
</tr>
';
echo '<tr class="tr_cnt">
<td class="th_o th_o_first" style="width:25px">&nbsp;</td>
<td class="td_o"><select id="ip" name="ip" size="10" style="width:400px">';
foreach($arrIp as $strKey=>$strValue)
{
echo  '<option value="',$strKey,'">',$strKey,'&nbsp;&nbsp;',$strValue,'</option>',N;
}
echo '</select><br/>';
if ( count($arrIp)>0 )
{
echo '<input type="submit" id="rem_ok" name="rem_ok" value="',$L['Remove'],'"/>&nbsp;';
if ( count($arrIp)>1 ) echo '<input type="submit" id="all_ok" name="all_ok" value="',$L['antispam']['Remove_all'],'"/>';
}
echo '</td>
</tr>
';
echo '<tr class="tr_cnt">
<td class="th_o th_o_first" style="width:25px">&nbsp;</td>
<td class="td_o">
<input type="text" id="newip" name="newip" style="width:350px" maxlength="64"/>
<input type="submit" id="add_ok" name="add_ok" value="',$L['Add'],'"/>
</td>
</tr>
';
echo '<tr class="tr_cnt">
<td class="th_o th_o_first" style="width:25px">&nbsp;</td>
<td class="td_o">
<span class="help">',$L['antispam']['H_Ip'],'</span>
</td>
</tr>
';
echo '</table>
</form>
<p><a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a></p>
';

// HTML END

include('qtf_adm_p_footer.php');

?>